## Item Information

Item Information — Keyring Item Info

## Functions

void | gnome_keyring_item_info_free ()
GnomeKeyringItemInfo * | gnome_keyring_item_info_new ()
GnomeKeyringItemInfo * | gnome_keyring_item_info_copy ()
GnomeKeyringItemType | gnome_keyring_item_info_get_type ()
void | gnome_keyring_item_info_set_type ()
char * | gnome_keyring_item_info_get_secret ()
void | gnome_keyring_item_info_set_secret ()
char * | gnome_keyring_item_info_get_display_name ()
void | gnome_keyring_item_info_set_display_name ()
time_t | gnome_keyring_item_info_get_mtime ()
time_t | gnome_keyring_item_info_get_ctime ()

## Types and Values

enum | GnomeKeyringItemType
typedef | GnomeKeyringItemInfo

## Description

All of these APIs are deprecated. Use libsecret instead.

GnomeKeyringItemInfo represents the basic information about a keyring item. Use `gnome_keyring_item_get_info()` or `gnome_keyring_item_set_info()`.

## Functions

### gnome_keyring_item_info_free ()

    void
    gnome_keyring_item_info_free (GnomeKeyringItemInfo *item_info);

`gnome_keyring_item_info_free` is deprecated and should not be used in newly-written code.

Use SecretItem objects instead.

Free the GnomeKeyringItemInfo object.

A `NULL` pointer may be passed, in which case it will be ignored.

#### Parameters

item_info | The keyring item info pointer. |

### gnome_keyring_item_info_new ()

    GnomeKeyringItemInfo *
    gnome_keyring_item_info_new (void);

`gnome_keyring_item_info_new` is deprecated and should not be used in newly-written code.

Use SecretItem objects instead.

Create a new GnomeKeyringItemInfo object. Free the GnomeKeyringItemInfo object.

#### Returns

A keyring item info pointer.

### gnome_keyring_item_info_copy ()

    GnomeKeyringItemInfo *
    gnome_keyring_item_info_copy (GnomeKeyringItemInfo *item_info);

`gnome_keyring_item_info_copy` is deprecated and should not be used in newly-written code.

Use SecretItem objects instead.

Copy a GnomeKeyringItemInfo object.

#### Parameters

item_info | A keyring item info pointer. |

#### Returns

A keyring item info pointer.

### gnome_keyring_item_info_get_type ()

    GnomeKeyringItemType
    gnome_keyring_item_info_get_type (GnomeKeyringItemInfo *item_info);

`gnome_keyring_item_info_get_type` is deprecated and should not be used in newly-written code.

Use `secret_item_get_schema_name()` instead.

Get the item type.

#### Parameters

item_info | A keyring item info pointer. |

#### Returns

The item type

### gnome_keyring_item_info_set_type ()

    void
    gnome_keyring_item_info_set_type (GnomeKeyringItemInfo *item_info,
                                      GnomeKeyringItemType type);

`gnome_keyring_item_info_set_type` is deprecated and should not be used in newly-written code.

Use `secret_item_set_attributes()` instead.

Set the type on an item info.

#### Parameters

item_info | A keyring item info pointer. |
type | The new item type |

### gnome_keyring_item_info_get_secret ()

    char *
    gnome_keyring_item_info_get_secret (GnomeKeyringItemInfo *item_info);

`gnome_keyring_item_info_get_secret` is deprecated and should not be used in newly-written code.

Use `secret_item_get_secret()` instead.

Get the item secret.

#### Parameters

item_info | A keyring item info pointer. |

#### Returns

The newly allocated string containing the item secret.

### gnome_keyring_item_info_set_secret ()

    void
    gnome_keyring_item_info_set_secret (GnomeKeyringItemInfo *item_info,
                                        const char *value);

`gnome_keyring_item_info_set_secret` is deprecated and should not be used in newly-written code.

Use `secret_item_set_secret()` instead.

Set the secret on an item info.

#### Parameters

item_info | A keyring item info pointer. |
value | The new item secret |

### gnome_keyring_item_info_get_display_name ()

    char *
    gnome_keyring_item_info_get_display_name
                                   (GnomeKeyringItemInfo *item_info);

`gnome_keyring_item_info_get_display_name` is deprecated and should not be used in newly-written code.

Use `secret_item_get_label()` instead.

Get the item display name.

#### Parameters

item_info | A keyring item info pointer. |

#### Returns

The newly allocated string containing the item display name.

### gnome_keyring_item_info_set_display_name ()

    void
    gnome_keyring_item_info_set_display_name
                                   (GnomeKeyringItemInfo *item_info,
                                    const char *value);

`gnome_keyring_item_info_set_display_name` is deprecated and should not be used in newly-written code.

Use `secret_item_set_label()` instead.

Set the display name on an item info.

#### Parameters

item_info | A keyring item info pointer. |
value | The new display name. |

### gnome_keyring_item_info_get_mtime ()

    time_t
    gnome_keyring_item_info_get_mtime (GnomeKeyringItemInfo *item_info);

`gnome_keyring_item_info_get_mtime` is deprecated and should not be used in newly-written code.

Use `secret_item_get_modified()` instead.

Get the item last modified time.

#### Parameters

item_info | A keyring item info pointer. |

#### Returns

The item last modified time.

### gnome_keyring_item_info_get_ctime ()

    time_t
    gnome_keyring_item_info_get_ctime (GnomeKeyringItemInfo *item_info);

`gnome_keyring_item_info_get_ctime` is deprecated and should not be used in newly-written code.

Use `secret_item_get_created()` instead.

Get the item created time.

#### Parameters

item_info | A keyring item info pointer. |

#### Returns

The item created time.

## Types and Values

### enum GnomeKeyringItemType

`GnomeKeyringItemType` is deprecated and should not be used in newly-written code.

Use SecretSchema instead.

The types of items.

#### Members

GNOME_KEYRING_ITEM_GENERIC_SECRET | Generic secret |
GNOME_KEYRING_ITEM_NETWORK_PASSWORD | Network password |
GNOME_KEYRING_ITEM_NOTE | Note |
GNOME_KEYRING_ITEM_CHAINED_KEYRING_PASSWORD | Keyring password |
GNOME_KEYRING_ITEM_ENCRYPTION_KEY_PASSWORD | Password for encryption key |
GNOME_KEYRING_ITEM_PK_STORAGE | Key storage password |
GNOME_KEYRING_ITEM_LAST_TYPE | Not used |

### GnomeKeyringItemInfo

    typedef struct GnomeKeyringItemInfo GnomeKeyringItemInfo;

`GnomeKeyringItemInfo` is deprecated and should not be used in newly-written code.